{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-key_figures" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        {{- with $title }}
        <h2 id="{{ . | urlize }}">{{ partial "osuny/PrepareHTML" . }}</h2>
        {{ end -}}
        <ul>
          {{- range .figures }}
          <li>
            <dl>
              <dt>{{ with .number }}<strong>{{ . }}</strong>{{ end }}<sup>{{ with .unit }}{{ partial "osuny/PrepareHTML" . }}</sup>{{ end }}</dt>
              <dd>{{ with .description }}{{ partial "osuny/PrepareHTML" . }}{{ end }}</dd>
            </dl>
          </li>
          {{ end -}}
        </ul>
      </div>
    </div>
  </section>
{{- end -}}
